# This file created by conda-build 3.20.5
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Mon Dec 14 19:13:54 2020
# ------------------------------------------------

package:
    name: visvis
    version: 1.13.0
source:
    fn: visvis-1.13.0.tar.gz
    sha256: 319d2e37c9756a029be33dc491461b8359fc52caa9c5147807eba583cafbf749
    url: https://pypi.io/packages/source/v/visvis/visvis-1.13.0.tar.gz
build:
    noarch: python
    number: '0'
    script: python -m pip install --no-deps --ignore-installed .
    string: pyhd3eb1b0_0
requirements:
    host:
        - _libgcc_mutex 0.1 main
        - ca-certificates 2020.12.8 h06a4308_0
        - certifi 2020.12.5 py36h06a4308_0
        - ld_impl_linux-64 2.33.1 h53a641e_7
        - libedit 3.1.20191231 h14c3975_1
        - libffi 3.3 he6710b0_2
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - ncurses 6.2 he6710b0_1
        - openssl 1.1.1i h27cfd23_0
        - pip 20.3.1 py36h06a4308_0
        - python 3.6.12 hcff3b4d_2
        - readline 8.0 h7b6447c_0
        - setuptools 51.0.0 py36h06a4308_2
        - sqlite 3.33.0 h62c20be_0
        - tk 8.6.10 hbc83047_0
        - wheel 0.36.1 pyhd3eb1b0_0
        - xz 5.2.5 h7b6447c_0
        - zlib 1.2.11 h7b6447c_3
    run:
        - numpy
        - pyopengl
        - python
test:
    imports:
        - visvis
        - visvis.processing
about:
    description: 'Visvis is a pure Python library for visualization of 1D to 4D data
        in an

        object oriented way. Essentially, visvis is an object oriented layer of

        Python on top of OpenGl, thereby combining the power of OpenGl with the

        usability of Python. A Matlab-like interface in the form of a set of

        functions allows easy creation of objects.

        The successor of Visvis, Vispy, is taking shape and will eventually

        replace Visvis.

        '
    dev_url: https://github.com/almarklein/visvis
    doc_url: https://github.com/almarklein/visvis/wiki
    home: https://github.com/almarklein/visvis
    license: BSD 3-Clause
    license_family: BSD
    summary: An object oriented approach to visualization of 1D to 4D data
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - almarklein
